from sequoia.settings.sl import *
from sequoia.settings.rl import *
from sequoia.methods import BaseMethod

method = BaseMethod(learning_rate=1e-3)

for setting in [
    ContinuousTaskAgnosticSLSetting("mnist"),
    ContinuousTaskAgnosticRLSetting("cartpole"),
    DiscreteTaskAgnosticSLSetting("mnist"),
    DiscreteTaskAgnosticRLSetting("cartpole"),
    IncrementalSLSetting("mnist"),
    IncrementalRLSetting("cartpole"),
    TaskIncrementalSLSetting("mnist"),
    TaskIncrementalRLSetting("cartpole"),
    MultiTaskSLSetting("mnist"),
    MultiTaskRLSetting("cartpole"),
    TraditionalSLSetting("mnist"),
    TraditionalRLSetting("cartpole"),
]:
    results = setting.apply(method)
    results.summary()
    results.make_plots()